﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace iqiyiWin.Model
{
    /// <summary>
    /// 爱奇艺票务账号信息
    /// </summary>
    public class IqiyiAccount
    {
        /// <summary>
        /// 序号
        /// </summary>
        public int No { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        public string MobileNo { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string Password { get; set; }
        /// <summary>
        /// Cookie
        /// </summary>
        public string Cookie { get; set; }
        /// <summary>
        /// 签到状态 
        /// 0: 未知 1: 已签到 2: 出错
        /// </summary>
        public int SignStatus { get; set; }
        /// <summary>
        /// 签到状态文本
        /// </summary>
        public string SignStatusDesc { get; set; }
        /// <summary>
        /// 观影豆
        /// </summary>
        public int MovieBean { get; set; }
        /// <summary>
        /// 优惠券数
        /// </summary>
        public int CouponNum { get; set; }
        /// <summary>
        /// 优惠券列表
        /// </summary>
        public Array CouponList { get; set; }
    }
}
